Google Earth on Ubuntu 14.04

I had a problem to run 32bit Google Earth on my Ubuntu 14.04. It was giving an error that libGLU.so.1 is missing. When you point it to the 64bit version it was of course giving error based on being different ELF. So, I tried 64bit install and there there are ai32 library is missing. Thanks to this website, I have solved the problem as follows:

sudo apt-get install libfontconfig1:i386 libx11-6:i386 libxrender1:i386 libxext6:i386 libgl1-mesa-glx:i386 libglu1-mesa:i386 libglib2.0-0:i386 libsm6:i386

cd /tmp && wget http://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb

sudo dpkg -i google-earth-stable_current_i386.deb

sudo apt-get install -f

It works now…

Post a comment